﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboNotFoundValueText {
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window {
    public MainWindow() {
      InitializeComponent();
      DataContext = this;

      ComboList = Entity.GetList();
    }

    public ObservableCollection<Entity> ComboList { get; private set; }

    public int SelectedValue { get; set; }
  }

  public class Entity {

    public int Id { get; set; }
    public string Code { get; set; }

    public Entity(int id, string code) {
      Id = id;
      Code = code;
    }

    public static ObservableCollection<Entity> GetList() {
      var result = new ObservableCollection<Entity>();

      result.Add(new Entity(1, "Code 1"));
      result.Add(new Entity(2, "Code 2"));
      result.Add(new Entity(3, "Code 3"));
      result.Add(new Entity(4, "Code 4"));

      return result;
    }

  }
}
